ambari-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Di Li (JIRA)" <j...@apache.org>
Subject [jira] [Commented] (AMBARI-18987) A general preupgrade check on if services cannot be upgrade are installed
Date Mon, 28 Nov 2016 21:03:58 GMT

    [ https://issues.apache.org/jira/browse/AMBARI-18987?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=15703110#comment-15703110
] 

Di Li commented on AMBARI-18987:
--------------------------------

Pushed to Trunk as
https://git-wip-us.apache.org/repos/asf?p=ambari.git;a=commit;h=bb803fb332d8d247e236b5e1b29fe97acfd7a7ec

Pushed to Branch-2.5 as
https://git-wip-us.apache.org/repos/asf?p=ambari.git;a=commit;h=68a881ef1d713c0764c8546eff2007c4630a933e


> A general preupgrade check on if services cannot be upgrade are installed
> -------------------------------------------------------------------------
>
>                 Key: AMBARI-18987
>                 URL: https://issues.apache.org/jira/browse/AMBARI-18987
>             Project: Ambari
>          Issue Type: New Feature
>          Components: ambari-server
>    Affects Versions: trunk, 2.5.0
>            Reporter: Di Li
>            Assignee: Di Li
>         Attachments: AMBARI-18987.patch
>
>
> A general check that takes list of services defined in upgrade XML and check if they
are installed, fail the check if there is at least one hit.
> Displaying different error messages depending on if a service does not support upgrade
or if a service is removed in the new release ( the two types are specified via different
properties in the upgrade XML files.



--
This message was sent by Atlassian JIRA
(v6.3.4#6332)

Mime
View raw message